#
# spec file for package libmng
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libmng
Version:        1.0.10
Release:        0
Summary:        Library for Support of MNG and JNG Formats
License:        Zlib
Group:          Development/Libraries/C and C++
%define lname	libmng1
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms-devel
BuildRequires:  zlib-devel
# bug437293
%ifarch ppc64
Obsoletes:      libmng-64bit
%endif
#
Url:            http://www.libmng.com/
Source0:        libmng-%{version}.tar.bz2
Source1:        baselibs.conf
Patch1:         libmng.diff
Patch2:         libmng-no-jpeg.diff
Patch3:         libmng-1.0.9-dont-leak-zlib-streams.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This library can handle MNG and JNG formats that contain animated
pictures. These formats should replace the GIF format.

%package -n %lname
Summary:        Library for Support of MNG and JNG Formats
Group:          System/Libraries
# O/P added 2011-11-29
Obsoletes:      libmng < %{version}-%{release}
Provides:       libmng = %{version}-%{release}

%description -n %lname
This library can handle MNG and JNG formats that contain animated
pictures. These formats should replace the GIF format.

%package devel
Summary:        Include Files and Libraries mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       %lname = %{version}
Requires:       libjpeg-devel
Requires:       liblcms-devel
Requires:       zlib-devel
# bug437293
%ifarch ppc64
Obsoletes:      libmng-devel-64bit
%endif
#

%description devel
This library can handle MNG and JNG formats which contain animated
pictures. These formats should replace the GIF format.

This package contains the static library and the header files.

%prep
%setup -q
%patch1
%patch3

%build
make %{?_smp_mflags} -f makefiles/makefile.linux _LIB=%{_lib}

%install
make -f makefiles/makefile.linux DESTDIR=%{buildroot} _LIB=%{_lib} install
mkdir -p %{buildroot}/%{_mandir}/man3/ %{buildroot}/%{_mandir}/man5/
install -m 0644 doc/man/*.3 %{buildroot}/%{_mandir}/man3/
install -m 0644 doc/man/*.5 %{buildroot}/%{_mandir}/man5/
#
# build a mini libmng
#
make -f makefiles/makefile.linux clean
patch -p0 < %{PATCH2}
make -f makefiles/makefile.linux _LIB=%{_lib}
install -m 0644 libmng.a %{buildroot}/%{_libdir}/libmng-mini.a
rm -v %{buildroot}%{_libdir}/libmng.a

%post -n %lname -p /sbin/ldconfig

%postun -n %lname -p /sbin/ldconfig

%files -n %lname
%defattr(-,root,root)
%doc LICENSE README doc/doc.readme doc/libmng.txt
%{_libdir}/libmng.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%doc %{_mandir}/*/*
%{_libdir}/libmng-mini.a
%{_libdir}/libmng.so

%changelog
